<script src="./Script.js"></script>

<template>
  <input
    v-mask="'#### ### #####'"
    type="text"
    class="form-control"
    :value="new_value"
    @input="$emit('input', $event.target.value ? $event.target.value.trim() : $event.target.value)"
    @blur="$emit('blur', $event.target.value ? $event.target.value.trim() : $event.target.value)"
    @keyup="$emit('keyup', $event.target.value ? $event.target.value.trim() : $event.target.value)"
    @focus="$emit('focus', $event.target.value ? $event.target.value.trim() : $event.target.value)"
  />
</template>
